## ros-indigo-nao-audio 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_audio)

# Tell CMake where to find "FindNAOqi.cmake"
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Find all required modules for compilation
find_package(catkin)

catkin_package()

#And this will install python nodes
install(DIRECTORY nodes/
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-indigo-nao-audio (0.1.5-0trusty) trusty; urgency=high

  * change value to boolean
  * Contributors: kochigami

 -- Manos Tsardoulias <etsardou@gmail.com>  Sat, 13 Dec 2014 23:00:00 -0000

ros-indigo-nao-audio (0.1.4-0trusty) trusty; urgency=high

  * update to use NaoqiNode
  * Contributors: Kei Okada

 -- Manos Tsardoulias <etsardou@gmail.com>  Wed, 12 Nov 2014 23:00:00 -0000

ros-indigo-nao-audio (0.1.3-0trusty) trusty; urgency=high

  * remove useless dependencies to fix build
  * Contributors: Vincent Rabaud

 -- Manos Tsardoulias <etsardou@gmail.com>  Sun, 07 Sep 2014 22:00:00 -0000

ros-indigo-nao-audio (0.1.2-0trusty) trusty; urgency=high

  * add a maintainer
  * remove obsolete Python code
  * Contributors: Vincent Rabaud

 -- Manos Tsardoulias <etsardou@gmail.com>  Sat, 06 Sep 2014 22:00:00 -0000

ros-indigo-nao-audio (0.1.1-0trusty) trusty; urgency=high

  * Corrected maintainer name in package.xmls
  * Added the nao_interaction metapackage, the nao_interaction_launchers, nao_interaction_msgs, nao_vision and nao_audio packages
  * Contributors: Manos Tsardoulias

 -- Manos Tsardoulias <etsardou@gmail.com>  Sat, 06 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-audio
Section: misc
Priority: extra
Maintainer: Manos Tsardoulias <etsardou@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/nao_audio
Standards-Version: 3.9.2

Package: ros-indigo-nao-audio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-nao-interaction-msgs, ros-indigo-roslaunch, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: Package for the Nao robot, providing access to NAOqi audio proxies

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-audio//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
